
User Interface - Bug #2771

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

the upper part of the image button border is cleared

10/20/2015 04:56 PM - Sergey Ivanovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/20/2015 04:58 PM - Sergey Ivanovskiy

If we run gui_btn_test5.p and then click on "Enable on/off" button or press and hold "Quit" button, then the upper part of the image button border is

erased according to the clipping region initiated by the currently pressed button.

#2 - 10/21/2015 08:24 AM - Sergey Ivanovskiy

On the current version 11005 the bug isn't reproduced, but I can't identify changes related to this issue that may fix it (clipping region or repaint logic).

#3 - 10/21/2015 09:07 AM - Sergey Ivanovskiy

Rev 11004 fixes this bug.

#4 - 10/21/2015 09:08 AM - Greg Shah

- Start date deleted (10/20/2015)

- Status changed from New to Closed

- Target version set to Milestone 12

#5 - 11/10/2015 05:09 AM - Greg Shah

- % Done changed from 0 to 100

#6 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App
